## class OSGSIM_EXPORT osgSim::BlinkSequence

## Inheritance:

### Public Methods

BlinkSequence()
BlinkSequence(const BlinkSequence& bs, const osg::CopyOp& copyop = osg::CopyOp::SHALLOW_COPY)
META_Object(osgSim, BlinkSequence)
inline int getNumPulses() const
  return the number of pulses.
inline double getPulsePeriod() const
  get the total pulse period of the blink sequence, which is equal to the sum of all the pulse periods
inline void setSequenceGroup(SequenceGroup* sg)
  set the sequence group which can be used to synchronize related blink sequences
inline SequenceGroup* getSequenceGroup()
  get the non const sequence group
inline const SequenceGroup* getSequenceGroup() const
  get the const sequence group
inline void setPhaseShift(double ps)
  set the phase shift of the blink sequence, this would be used to shift a sequence within a sequence group
inline double getPhaseShift() const
  get the pahse shift
inline double localTime(double time) const
  compute the local time clamped to this BlinkSequences period, and accounting for the phase shift and sequence group
inline void addPulse(double length, const osg::Vec4& color)
  add a pulse of specified color and duration to the BlinkSequence
inline void getPulse(unsigned int i, double& length, osg::Vec4& color) const
  return the pulse data at position i.
inline osg::Vec4 color(double time, double length) const
  compute the color for the time interval sepecifed.

### Public Members

class OSGSIM_EXPORT SequenceGroup: public osg::Object
  sequence group which can be used to synchronize related blink sequences

### Protected Fields

double _pulsePeriod
double _phaseShift
PulseData _pulseData
osg::ref_ptr<SequenceGroup> _sequenceGroup

### Protected Members

typedef std::pair<double,osg::Vec4> IntervalColor
typedef std::vector<IntervalColor> PulseData

## Documentation

`BlinkSequence()`

`BlinkSequence(const BlinkSequence& bs, const osg::CopyOp& copyop = osg::CopyOp::SHALLOW_COPY)`

`META_Object(osgSim, BlinkSequence)`

`inline int getNumPulses() const`
  return the number of pulses.

`inline double getPulsePeriod() const`
  get the total pulse period of the blink sequence, which is equal to the sum of all the pulse periods

`inline void setSequenceGroup(SequenceGroup* sg)`
  set the sequence group which can be used to synchronize related blink sequences

`inline SequenceGroup* getSequenceGroup()`
  get the non const sequence group

`inline const SequenceGroup* getSequenceGroup() const`
  get the const sequence group

`inline void setPhaseShift(double ps)`
  set the phase shift of the blink sequence, this would be used to shift a sequence within a sequence group

`inline double getPhaseShift() const`
  get the pahse shift

`typedef std::pair<double,osg::Vec4> IntervalColor`

`typedef std::vector<IntervalColor> PulseData`

`double _pulsePeriod`

`double _phaseShift`

`PulseData _pulseData`

`osg::ref_ptr<SequenceGroup> _sequenceGroup`

`inline double localTime(double time) const`
  compute the local time clamped to this BlinkSequences period, and accounting for the phase shift and sequence group

`inline void addPulse(double length, const osg::Vec4& color)`
  add a pulse of specified color and duration to the BlinkSequence

`inline void getPulse(unsigned int i, double& length, osg::Vec4& color) const`
  return the pulse data at position i.

`inline osg::Vec4 color(double time, double length) const`
  compute the color for the time interval sepecifed. Averages the colors if the length is greater than the current pulse.

This class has no child classes.

Alphabetic index HTML hierarchy of classes or Java

This page was generated with the help of DOC++.